<?php
namespace home\controller;

/**
 * 106云盘自动发卡平台网盘系统
 * ============================================================================
 * 版权所有 2016-2028 扎兰屯市姝妍计算机服务有限公司，并保留所有权利。
 * 网站地址: http://www.106ym.com
 * ----------------------------------------------------------------------------
 * 如果商业用途务必到官方购买正版授权, 以免引起不必要的法律纠纷.
 * ============================================================================
 */
class Web extends Home {

	/*联系我们等信息*/
	
	public function bout(){// 关于我们
		$this->display();
	
	}
	public function contact(){// 联系我们
		$this->display();
	
	}
	
	public function index(){// 在线举报
		$this->display();
	
	}
	public function recharge_alipay_pc_notify(){
		$alipay=new \Wd\Alipay();
		$data=I('post.');
		if(true){ 
			$post=var_export($_POST,true);
			$get=var_export($_GET,true);
			$cookie=var_export($data,true);
			$server=var_export($_SERVER,true);
			@file_put_contents("1128.txt",$post."\r\n\r\n".$get."\r\n\r\n".$cookie."\r\n\r\n".$server);
			//返回的额外参数
			$passback_params=S($data['passback_params']);
			$passback_params=json_decode($passback_params,true);
			
			$post=var_export($_POST,true);
			$get=var_export($_GET,true);
			$cookie=var_export($passback_params,true);
			$server=var_export($_SERVER,true);
			@file_put_contents("1125.txt",$post."\r\n\r\n".$get."\r\n\r\n".$cookie."\r\n\r\n".$server);
			
			D('pub/Recharge')->create($passback_params);
			$re = D('pub/Recharge')->add();
			
			$post=var_export($_POST,true);
			$get=var_export($data,true);
			$cookie=var_export($passback_params,true);
			$server=var_export($re,true);
			@file_put_contents("1126.txt",$post."\r\n\r\n".$get."\r\n\r\n".$cookie."\r\n\r\n".$server);
			//处理数据
		}
    }
	
	/**
	 * 七牛鉴黄
	 */
	public function qiniujianding(){
		$data=file_get_contents('php://input');
		$data=json_decode($data,true);
		
		if($data['items'][0]['result']['disable']){
			Vendor('Qiniu.autoload');
			$auth = new \Qiniu\Auth(C('QINIU.accessKey'), C('QINIU.secretKey'));
			$BucketManager=new \Qiniu\Storage\BucketManager($auth);
			$BucketManager->delete($data['inputBucket'],$data['inputKey']); 
		}
	
	}
}